## Character Map Character Map — Browse available characters |

## Functions

GtkWidget * | font_manager_character_map_new ()
void | font_manager_character_map_set_font ()
void | font_manager_character_map_set_filter ()

## Properties

gint | active-cell | Read / Write
FontManagerFont * | font | Read / Write
gdouble | preview-size | Read / Write
gboolean | search-mode | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_CHARACTER_MAP
| FontManagerCharacterMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── FontManagerCharacterMap

## Implemented Interfaces

FontManagerCharacterMap implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <font-manager-character-map.h>

## Description

Widget which displays available characters in the selected font.

## Functions

### font_manager_character_map_new ()

    GtkWidget *
    font_manager_character_map_new (void);

#### Returns

A newly created FontManagerCharacterMap. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_character_map_set_font ()

    void
    font_manager_character_map_set_font (FontManagerCharacterMap *self,
                                         FontManagerFont *font);

#### Parameters

self | FontManagerCharacterMap |
font | FontManagerFont. | [nullable]

### font_manager_character_map_set_filter ()

    void
    font_manager_character_map_set_filter (FontManagerCharacterMap *self,
                                           FontManagerOrthography *orthography);

#### Parameters

self | FontManagerCharacterMap |
orthography | FontManagerOrthography. | [nullable][transfer none]

## Types and Values

### FONT_MANAGER_TYPE_CHARACTER_MAP

    #define FONT_MANAGER_TYPE_CHARACTER_MAP (font_manager_character_map_get_type ())

### FontManagerCharacterMap

    typedef struct _FontManagerCharacterMap FontManagerCharacterMap;

## Property Details

### The `“active-cell”` property

      “active-cell”              gint

Active cell in character map.

Owner: FontManagerCharacterMap

Flags: Read / Write

Default value: 0

### The `“font”` property

      “font”                     FontManagerFont *

FontManagerFont to display

Owner: FontManagerCharacterMap

Flags: Read / Write

### The `“preview-size”` property

      “preview-size”             gdouble

Font preview size

Owner: FontManagerCharacterMap

Flags: Read / Write

Allowed values: [6,96]

Default value: 16

### The `“search-mode”` property

      “search-mode”              gboolean

Whether search mode is active or not

Owner: FontManagerCharacterMap

Flags: Read / Write

Default value: FALSE